<template>
  <window-size>
    <van-image width="100%" :src="imageSrc" fit="cover"/>
  </window-size>
</template>

<script setup>
import {useStore} from "vuex";
import {onMounted, ref} from "vue";
import router from "@/router";
import {fetchInspectionReportImage} from "@/utils/request";

const store = useStore()
const pathologyIndex = store.getters.getCurrentPathologyIndex
const imageSrc = ref(null)

onMounted(() => {
  fetchInspectionReportImage({
    patientId: router.currentRoute.value.params.patientId,
    reportId: pathologyIndex.reportId,
    reportUrl: pathologyIndex.reportUrl
  }).then(response => {
    imageSrc.value = response
  })
})
</script>